diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/nix-vector-routing/test/nix-test.cc ns-3.44/src/nix-vector-routing/test/nix-test.cc
--- ns-3.43/src/nix-vector-routing/test/nix-test.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/nix-vector-routing/test/nix-test.cc	2025-03-09 16:55:49.683372300 -0700
@@ -25,15 +25,15 @@
 using namespace ns3;
 
 /**
- * \defgroup nix-vector-routing-test Nix-Vector Routing Tests
+ * @defgroup nix-vector-routing-test Nix-Vector Routing Tests
  */
 
 /**
- * \ingroup nix-vector-routing-test
- * \ingroup tests
+ * @ingroup nix-vector-routing-test
+ * @ingroup tests
  *
  * The topology is of the form:
- * \verbatim
+ * @verbatim
               __________
              /          \
     nSrc -- nA -- nB -- nC -- nDst
@@ -49,39 +49,39 @@
  * (Set down the interface of nC on nB-nC channel.)
  * - Test that routing is not possible from nSrc to nDst.
  *
- * \brief IPv4 Nix-Vector Routing Test
+ * @brief IPv4 Nix-Vector Routing Test
  */
 class NixVectorRoutingTest : public TestCase
 {
     Ptr<Packet> m_receivedPacket; //!< Received packet
 
     /**
-     * \brief Send data immediately after being called.
-     * \param socket The sending socket.
-     * \param to IPv4 Destination address.
+     * @brief Send data immediately after being called.
+     * @param socket The sending socket.
+     * @param to IPv4 Destination address.
      */
     void DoSendDatav4(Ptr<Socket> socket, Ipv4Address to);
 
     /**
-     * \brief Send data immediately after being called.
-     * \param socket The sending socket.
-     * \param to IPv6 Destination address.
+     * @brief Send data immediately after being called.
+     * @param socket The sending socket.
+     * @param to IPv6 Destination address.
      */
     void DoSendDatav6(Ptr<Socket> socket, Ipv6Address to);
 
     /**
-     * \brief Schedules the DoSendData () function to send the data.
-     * \param delay The scheduled time to send data.
-     * \param socket The sending socket.
-     * \param to IPv4 Destination address.
+     * @brief Schedules the DoSendData () function to send the data.
+     * @param delay The scheduled time to send data.
+     * @param socket The sending socket.
+     * @param to IPv4 Destination address.
      */
     void SendData(Time delay, Ptr<Socket> socket, Ipv4Address to);
 
     /**
-     * \brief Schedules the DoSendData () function to send the data.
-     * \param delay The scheduled time to send data.
-     * \param socket The sending socket.
-     * \param to IPv6 Destination address.
+     * @brief Schedules the DoSendData () function to send the data.
+     * @param delay The scheduled time to send data.
+     * @param socket The sending socket.
+     * @param to IPv6 Destination address.
      */
     void SendData(Time delay, Ptr<Socket> socket, Ipv6Address to);
 
@@ -90,8 +90,8 @@
     NixVectorRoutingTest();
 
     /**
-     * \brief Receive data.
-     * \param socket The receiving socket.
+     * @brief Receive data.
+     * @param socket The receiving socket.
      */
     void ReceivePkt(Ptr<Socket> socket);
 
@@ -383,10 +383,10 @@
 }
 
 /**
- * \ingroup nix-vector-routing-test
- * \ingroup tests
+ * @ingroup nix-vector-routing-test
+ * @ingroup tests
  *
- * \brief IPv4 Nix-Vector Routing TestSuite
+ * @brief IPv4 Nix-Vector Routing TestSuite
  */
 class NixVectorRoutingTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/examples/olsr-hna.cc ns-3.44/src/olsr/examples/olsr-hna.cc
--- ns-3.43/src/olsr/examples/olsr-hna.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/examples/olsr-hna.cc	2025-03-09 16:55:49.683372300 -0700
@@ -273,7 +273,7 @@
     csma.EnableAsciiAll(ascii.CreateFileStream("olsr-hna-csma.tr"));
 
     Simulator::ScheduleWithContext(source->GetNode()->GetId(),
-                                   Seconds(15.0),
+                                   Seconds(15),
                                    &GenerateTraffic,
                                    source,
                                    packetSize,
@@ -284,7 +284,7 @@
         Create<OutputStreamWrapper>("olsr-hna.routes", std::ios::out);
     Ipv4RoutingHelper::PrintRoutingTableAllAt(Seconds(15), routingStream);
 
-    Simulator::Stop(Seconds(20.0));
+    Simulator::Stop(Seconds(20));
     Simulator::Run();
     Simulator::Destroy();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/examples/simple-point-to-point-olsr.cc ns-3.44/src/olsr/examples/simple-point-to-point-olsr.cc
--- ns-3.43/src/olsr/examples/simple-point-to-point-olsr.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/examples/simple-point-to-point-olsr.cc	2025-03-09 16:55:49.683372300 -0700
@@ -122,8 +122,8 @@
     onoff1.SetConstantRate(DataRate("448kb/s"));
 
     ApplicationContainer onOffApp1 = onoff1.Install(c.Get(0));
-    onOffApp1.Start(Seconds(10.0));
-    onOffApp1.Stop(Seconds(20.0));
+    onOffApp1.Start(Seconds(10));
+    onOffApp1.Stop(Seconds(20));
 
     // Create a similar flow from n3 to n1, starting at time 1.1 seconds
     OnOffHelper onoff2("ns3::UdpSocketFactory", InetSocketAddress(i12.GetAddress(0), port));
@@ -131,14 +131,14 @@
 
     ApplicationContainer onOffApp2 = onoff2.Install(c.Get(3));
     onOffApp2.Start(Seconds(10.1));
-    onOffApp2.Stop(Seconds(20.0));
+    onOffApp2.Stop(Seconds(20));
 
     // Create packet sinks to receive these packets
     PacketSinkHelper sink("ns3::UdpSocketFactory", InetSocketAddress(Ipv4Address::GetAny(), port));
     NodeContainer sinks = NodeContainer(c.Get(4), c.Get(1));
     ApplicationContainer sinkApps = sink.Install(sinks);
-    sinkApps.Start(Seconds(0.0));
-    sinkApps.Stop(Seconds(21.0));
+    sinkApps.Start(Seconds(0));
+    sinkApps.Stop(Seconds(21));
 
     AsciiTraceHelper ascii;
     p2p.EnableAsciiAll(ascii.CreateFileStream("simple-point-to-point-olsr.tr"));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/helper/olsr-helper.h ns-3.44/src/olsr/helper/olsr-helper.h
--- ns-3.43/src/olsr/helper/olsr-helper.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/helper/olsr-helper.h	2025-03-09 16:55:49.683372300 -0700
@@ -20,9 +20,9 @@
 {
 
 /**
- * \ingroup olsr
+ * @ingroup olsr
  *
- * \brief Helper class that adds OLSR routing to nodes.
+ * @brief Helper class that adds OLSR routing to nodes.
  *
  * This class is expected to be used in conjunction with
  * ns3::InternetStackHelper::SetRoutingHelper
@@ -37,10 +37,10 @@
     OlsrHelper();
 
     /**
-     * \brief Construct an OlsrHelper from another previously initialized instance
+     * @brief Construct an OlsrHelper from another previously initialized instance
      * (Copy Constructor).
      *
-     * \param o object to copy
+     * @param o object to copy
      */
     OlsrHelper(const OlsrHelper& o);
 
@@ -48,7 +48,7 @@
     OlsrHelper& operator=(const OlsrHelper&) = delete;
 
     /**
-     * \returns pointer to clone of this OlsrHelper
+     * @returns pointer to clone of this OlsrHelper
      *
      * This method is mainly for internal use by the other helpers;
      * clients are expected to free the dynamic memory allocated by this method
@@ -56,24 +56,24 @@
     OlsrHelper* Copy() const override;
 
     /**
-     * \param node the node for which an exception is to be defined
-     * \param interface an interface of node on which OLSR is not to be installed
+     * @param node the node for which an exception is to be defined
+     * @param interface an interface of node on which OLSR is not to be installed
      *
      * This method allows the user to specify an interface on which OLSR is not to be installed on
      */
     void ExcludeInterface(Ptr<Node> node, uint32_t interface);
 
     /**
-     * \param node the node on which the routing protocol will run
-     * \returns a newly-created routing protocol
+     * @param node the node on which the routing protocol will run
+     * @returns a newly-created routing protocol
      *
      * This method will be called by ns3::InternetStackHelper::Install
      */
     Ptr<Ipv4RoutingProtocol> Create(Ptr<Node> node) const override;
 
     /**
-     * \param name the name of the attribute to set
-     * \param value the value of the attribute to set.
+     * @param name the name of the attribute to set
+     * @param value the value of the attribute to set.
      *
      * This method controls the attributes of ns3::olsr::RoutingProtocol
      */
@@ -85,10 +85,10 @@
      * have been assigned.  The Install() method of the InternetStackHelper
      * should have previously been called by the user.
      *
-     * \param stream first stream index to use
-     * \param c NodeContainer of the set of nodes for which the OlsrRoutingProtocol
+     * @param stream first stream index to use
+     * @param c NodeContainer of the set of nodes for which the OlsrRoutingProtocol
      *          should be modified to use a fixed stream
-     * \return the number of stream indices assigned by this helper
+     * @return the number of stream indices assigned by this helper
      */
     int64_t AssignStreams(NodeContainer c, int64_t stream);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/model/olsr-header.cc ns-3.44/src/olsr/model/olsr-header.cc
--- ns-3.43/src/olsr/model/olsr-header.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/model/olsr-header.cc	2025-03-09 16:55:49.683372300 -0700
@@ -29,10 +29,10 @@
 #define OLSR_C 0.0625
 
 ///
-/// \brief Converts a decimal number of seconds to the mantissa/exponent format.
+/// @brief Converts a decimal number of seconds to the mantissa/exponent format.
 ///
-/// \param seconds decimal number of seconds we want to convert.
-/// \return the number of seconds in mantissa/exponent format.
+/// @param seconds decimal number of seconds we want to convert.
+/// @return the number of seconds in mantissa/exponent format.
 ///
 uint8_t
 SecondsToEmf(double seconds)
@@ -72,10 +72,10 @@
 }
 
 ///
-/// \brief Converts a number of seconds in the mantissa/exponent format to a decimal number.
+/// @brief Converts a number of seconds in the mantissa/exponent format to a decimal number.
 ///
-/// \param olsrFormat number of seconds in mantissa/exponent format.
-/// \return the decimal number of seconds.
+/// @param olsrFormat number of seconds in mantissa/exponent format.
+/// @return the decimal number of seconds.
 ///
 double
 EmfToSeconds(uint8_t olsrFormat)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/model/olsr-header.h ns-3.44/src/olsr/model/olsr-header.h
--- ns-3.43/src/olsr/model/olsr-header.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/model/olsr-header.h	2025-03-09 16:55:49.683372300 -0700
@@ -27,7 +27,7 @@
 uint8_t SecondsToEmf(double seconds);
 
 /**
- * \ingroup olsr
+ * @ingroup olsr
  *
  * The basic layout of any packet in OLSR is as follows (omitting IP and
  * UDP headers):
@@ -72,7 +72,7 @@
 
     /**
      * Set the packet total length.
-     * \param length The packet length.
+     * @param length The packet length.
      */
     void SetPacketLength(uint16_t length)
     {
@@ -81,7 +81,7 @@
 
     /**
      * Get the packet total length.
-     * \return The packet length.
+     * @return The packet length.
      */
     uint16_t GetPacketLength() const
     {
@@ -90,7 +90,7 @@
 
     /**
      * Set the packet sequence number.
-     * \param seqnum The packet sequence number.
+     * @param seqnum The packet sequence number.
      */
     void SetPacketSequenceNumber(uint16_t seqnum)
     {
@@ -99,7 +99,7 @@
 
     /**
      * Get the packet sequence number.
-     * \returns The packet sequence number.
+     * @returns The packet sequence number.
      */
     uint16_t GetPacketSequenceNumber() const
     {
@@ -112,8 +112,8 @@
 
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -124,7 +124,7 @@
 };
 
 /**
- * \ingroup olsr
+ * @ingroup olsr
  *
  * This header can store HELP, TC, MID and HNA messages.
  * The header size is variable, and depends on the
@@ -165,7 +165,7 @@
 
     /**
      * Set the message type.
-     * \param messageType The message type.
+     * @param messageType The message type.
      */
     void SetMessageType(MessageType messageType)
     {
@@ -174,7 +174,7 @@
 
     /**
      * Get the message type.
-     * \return The message type.
+     * @return The message type.
      */
     MessageType GetMessageType() const
     {
@@ -183,7 +183,7 @@
 
     /**
      * Set the validity time.
-     * \param time The validity time.
+     * @param time The validity time.
      */
     void SetVTime(Time time)
     {
@@ -192,7 +192,7 @@
 
     /**
      * Get the validity time.
-     * \return The validity time.
+     * @return The validity time.
      */
     Time GetVTime() const
     {
@@ -201,7 +201,7 @@
 
     /**
      * Set the originator address.
-     * \param originatorAddress The originator address.
+     * @param originatorAddress The originator address.
      */
     void SetOriginatorAddress(Ipv4Address originatorAddress)
     {
@@ -210,7 +210,7 @@
 
     /**
      * Get the originator address.
-     * \return The originator address.
+     * @return The originator address.
      */
     Ipv4Address GetOriginatorAddress() const
     {
@@ -219,7 +219,7 @@
 
     /**
      * Set the time to live.
-     * \param timeToLive The time to live.
+     * @param timeToLive The time to live.
      */
     void SetTimeToLive(uint8_t timeToLive)
     {
@@ -228,7 +228,7 @@
 
     /**
      * Get the time to live.
-     * \return The time to live.
+     * @return The time to live.
      */
     uint8_t GetTimeToLive() const
     {
@@ -237,7 +237,7 @@
 
     /**
      * Set the hop count.
-     * \param hopCount The hop count.
+     * @param hopCount The hop count.
      */
     void SetHopCount(uint8_t hopCount)
     {
@@ -246,7 +246,7 @@
 
     /**
      * Get the hop count.
-     * \return The hop count.
+     * @return The hop count.
      */
     uint8_t GetHopCount() const
     {
@@ -255,7 +255,7 @@
 
     /**
      * Set the message sequence number.
-     * \param messageSequenceNumber The message sequence number.
+     * @param messageSequenceNumber The message sequence number.
      */
     void SetMessageSequenceNumber(uint16_t messageSequenceNumber)
     {
@@ -264,7 +264,7 @@
 
     /**
      * Get the message sequence number.
-     * \return The message sequence number.
+     * @return The message sequence number.
      */
     uint16_t GetMessageSequenceNumber() const
     {
@@ -282,8 +282,8 @@
 
   public:
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -293,7 +293,7 @@
     uint32_t Deserialize(Buffer::Iterator start) override;
 
     /**
-     * \ingroup olsr
+     * @ingroup olsr
      * MID Message Format
      *
     \verbatim
@@ -313,19 +313,19 @@
         std::vector<Ipv4Address> interfaceAddresses; //!< Interface Address container.
         /**
          * This method is used to print the content of a MID message.
-         * \param os output stream
+         * @param os output stream
          */
         void Print(std::ostream& os) const;
         /**
          * Returns the expected size of the header.
-         * \returns the expected size of the header.
+         * @returns the expected size of the header.
          */
         uint32_t GetSerializedSize() const;
         /**
          * This method is used by Packet::AddHeader to
          * store a header into the byte buffer of a packet.
          *
-         * \param start an iterator which points to where the header should
+         * @param start an iterator which points to where the header should
          *        be written.
          */
         void Serialize(Buffer::Iterator start) const;
@@ -333,16 +333,16 @@
          * This method is used by Packet::RemoveHeader to
          * re-create a header from the byte buffer of a packet.
          *
-         * \param start an iterator which points to where the header should
+         * @param start an iterator which points to where the header should
          *        read from.
-         * \param messageSize the message size.
-         * \returns the number of bytes read.
+         * @param messageSize the message size.
+         * @returns the number of bytes read.
          */
         uint32_t Deserialize(Buffer::Iterator start, uint32_t messageSize);
     };
 
     /**
-     * \ingroup olsr
+     * @ingroup olsr
      * HELLO Message Format
      *
     \verbatim
@@ -387,7 +387,7 @@
 
         /**
          * Set the HELLO emission interval.
-         * \param time The HELLO emission interval.
+         * @param time The HELLO emission interval.
          */
         void SetHTime(Time time)
         {
@@ -396,7 +396,7 @@
 
         /**
          * Get the HELLO emission interval.
-         * \return The HELLO emission interval.
+         * @return The HELLO emission interval.
          */
         Time GetHTime() const
         {
@@ -409,19 +409,19 @@
 
         /**
          * This method is used to print the content of a Hello message.
-         * \param os output stream
+         * @param os output stream
          */
         void Print(std::ostream& os) const;
         /**
          * Returns the expected size of the header.
-         * \returns the expected size of the header.
+         * @returns the expected size of the header.
          */
         uint32_t GetSerializedSize() const;
         /**
          * This method is used by Packet::AddHeader to
          * store a header into the byte buffer of a packet.
          *
-         * \param start an iterator which points to where the header should
+         * @param start an iterator which points to where the header should
          *        be written.
          */
         void Serialize(Buffer::Iterator start) const;
@@ -429,16 +429,16 @@
          * This method is used by Packet::RemoveHeader to
          * re-create a header from the byte buffer of a packet.
          *
-         * \param start an iterator which points to where the header should
+         * @param start an iterator which points to where the header should
          *        read from.
-         * \param messageSize the message size.
-         * \returns the number of bytes read.
+         * @param messageSize the message size.
+         * @returns the number of bytes read.
          */
         uint32_t Deserialize(Buffer::Iterator start, uint32_t messageSize);
     };
 
     /**
-     * \ingroup olsr
+     * @ingroup olsr
      * TC Message Format
      *
      \verbatim
@@ -462,19 +462,19 @@
 
         /**
          * This method is used to print the content of a Tc message.
-         * \param os output stream
+         * @param os output stream
          */
         void Print(std::ostream& os) const;
         /**
          * Returns the expected size of the header.
-         * \returns the expected size of the header.
+         * @returns the expected size of the header.
          */
         uint32_t GetSerializedSize() const;
         /**
          * This method is used by Packet::AddHeader to
          * store a header into the byte buffer of a packet.
          *
-         * \param start an iterator which points to where the header should
+         * @param start an iterator which points to where the header should
          *        be written.
          */
         void Serialize(Buffer::Iterator start) const;
@@ -482,16 +482,16 @@
          * This method is used by Packet::RemoveHeader to
          * re-create a header from the byte buffer of a packet.
          *
-         * \param start an iterator which points to where the header should
+         * @param start an iterator which points to where the header should
          *        read from.
-         * \param messageSize the message size.
-         * \returns the number of bytes read.
+         * @param messageSize the message size.
+         * @returns the number of bytes read.
          */
         uint32_t Deserialize(Buffer::Iterator start, uint32_t messageSize);
     };
 
     /**
-     * \ingroup olsr
+     * @ingroup olsr
      * HNA (Host Network Association) Message Format
      *
      \verbatim
@@ -525,19 +525,19 @@
 
         /**
          * This method is used to print the content of a Hna message.
-         * \param os output stream
+         * @param os output stream
          */
         void Print(std::ostream& os) const;
         /**
          * Returns the expected size of the header.
-         * \returns the expected size of the header.
+         * @returns the expected size of the header.
          */
         uint32_t GetSerializedSize() const;
         /**
          * This method is used by Packet::AddHeader to
          * store a header into the byte buffer of a packet.
          *
-         * \param start an iterator which points to where the header should
+         * @param start an iterator which points to where the header should
          *        be written.
          */
         void Serialize(Buffer::Iterator start) const;
@@ -545,10 +545,10 @@
          * This method is used by Packet::RemoveHeader to
          * re-create a header from the byte buffer of a packet.
          *
-         * \param start an iterator which points to where the header should
+         * @param start an iterator which points to where the header should
          *        read from.
-         * \param messageSize the message size.
-         * \returns the number of bytes read.
+         * @param messageSize the message size.
+         * @returns the number of bytes read.
          */
         uint32_t Deserialize(Buffer::Iterator start, uint32_t messageSize);
     };
@@ -568,7 +568,7 @@
   public:
     /**
      * Set the message type to MID and return the message content.
-     * \returns The MID message.
+     * @returns The MID message.
      */
     Mid& GetMid()
     {
@@ -585,7 +585,7 @@
 
     /**
      * Set the message type to HELLO and return the message content.
-     * \returns The HELLO message.
+     * @returns The HELLO message.
      */
     Hello& GetHello()
     {
@@ -602,7 +602,7 @@
 
     /**
      * Set the message type to TC and return the message content.
-     * \returns The TC message.
+     * @returns The TC message.
      */
     Tc& GetTc()
     {
@@ -619,7 +619,7 @@
 
     /**
      * Set the message type to HNA and return the message content.
-     * \returns The HNA message.
+     * @returns The HNA message.
      */
     Hna& GetHna()
     {
@@ -636,7 +636,7 @@
 
     /**
      * Get the MID message.
-     * \returns The MID message.
+     * @returns The MID message.
      */
     const Mid& GetMid() const
     {
@@ -646,7 +646,7 @@
 
     /**
      * Get the HELLO message.
-     * \returns The HELLO message.
+     * @returns The HELLO message.
      */
     const Hello& GetHello() const
     {
@@ -656,7 +656,7 @@
 
     /**
      * Get the TC message.
-     * \returns The TC message.
+     * @returns The TC message.
      */
     const Tc& GetTc() const
     {
@@ -666,7 +666,7 @@
 
     /**
      * Get the HNA message.
-     * \returns The HNA message.
+     * @returns The HNA message.
      */
     const Hna& GetHna() const
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/model/olsr-repositories.h ns-3.44/src/olsr/model/olsr-repositories.h
--- ns-3.43/src/olsr/model/olsr-repositories.h	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/model/olsr-repositories.h	2025-03-09 16:55:49.683372300 -0700
@@ -24,7 +24,7 @@
 {
 
 /**
- * \ingroup olsr
+ * @ingroup olsr
  *
  * Willingness for forwarding packets from other nodes.
  * The standard defines the following set of values.
@@ -44,9 +44,9 @@
 /**
  * Stream insertion operator for OLSR willingness.
  *
- * \param os Output stream.
- * \param willingness Willingness.
- * \return A reference to the output stream.
+ * @param os Output stream.
+ * @param willingness Willingness.
+ * @return A reference to the output stream.
  */
 inline std::ostream&
 operator<<(std::ostream& os, Willingness willingness)
@@ -69,7 +69,7 @@
     return os;
 }
 
-/// \ingroup olsr
+/// @ingroup olsr
 /// An Interface Association Tuple.
 struct IfaceAssocTuple
 {
@@ -95,7 +95,7 @@
     return os;
 }
 
-/// \ingroup olsr
+/// @ingroup olsr
 /// A Link Tuple.
 struct LinkTuple
 {
@@ -126,7 +126,7 @@
     return os;
 }
 
-/// \ingroup olsr
+/// @ingroup olsr
 /// A Neighbor Tuple.
 struct NeighborTuple
 {
@@ -164,7 +164,7 @@
     return os;
 }
 
-/// \ingroup olsr
+/// @ingroup olsr
 /// A 2-hop Tuple.
 struct TwoHopNeighborTuple
 {
@@ -192,7 +192,7 @@
             a.twoHopNeighborAddr == b.twoHopNeighborAddr);
 }
 
-/// \ingroup olsr
+/// @ingroup olsr
 /// An MPR-Selector Tuple.
 struct MprSelectorTuple
 {
@@ -211,7 +211,7 @@
 // The type "list of interface addresses"
 // typedef std::vector<nsaddr_t> addr_list_t;
 
-/// \ingroup olsr
+/// @ingroup olsr
 /// A Duplicate Tuple
 struct DuplicateTuple
 {
@@ -233,7 +233,7 @@
     return (a.address == b.address && a.sequenceNumber == b.sequenceNumber);
 }
 
-/// \ingroup olsr
+/// @ingroup olsr
 /// A Topology Tuple
 struct TopologyTuple
 {
@@ -263,7 +263,7 @@
     return os;
 }
 
-/// \ingroup olsr
+/// @ingroup olsr
 /// Association
 struct Association
 {
@@ -284,7 +284,7 @@
     return os;
 }
 
-/// \ingroup olsr
+/// @ingroup olsr
 /// An Association Tuple
 struct AssociationTuple
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/olsr/model/olsr-routing-protocol.cc ns-3.44/src/olsr/model/olsr-routing-protocol.cc
--- ns-3.43/src/olsr/model/olsr-routing-protocol.cc	2024-10-09 16:41:10.076656600 -0700
+++ ns-3.44/src/olsr/model/olsr-routing-protocol.cc	2025-03-09 16:55:49.683372300 -0700
@@ -9,7 +9,7 @@
  */
 
 ///
-/// \brief Implementation of OLSR agent and related classes.
+/// @brief Implementation of OLSR agent and related classes.
 ///
 /// This is the main file of this software because OLSR's behaviour is
 /// implemented here.
@@ -47,7 +47,7 @@
 /********** Useful macros **********/
 
 ///
-/// \brief Gets the delay between a given time and the current time.
+/// @brief Gets the delay between a given time and the current time.
 ///
 /// If given time is previous to the current one, then this macro returns
 /// a number close to 0. This is used for scheduling events at a certain moment.
@@ -57,7 +57,7 @@
                                    : (time - Simulator::Now() + Seconds(0.000001)))
 
 ///
-/// \brief Period at which a node must cite every link and every neighbor.
+/// @brief Period at which a node must cite every link and every neighbor.
 ///
 /// We only use this value in order to define OLSR_NEIGHB_HOLD_TIME.
 ///
@@ -103,7 +103,7 @@
 {
 
 /**
- * \ingroup olsr
+ * @ingroup olsr
  *
  * OLSR link types.
  * See \RFC{3626} section 18.5.
@@ -119,9 +119,9 @@
 /**
  * Stream insertion operator for OLSR link type.
  *
- * \param os Output stream.
- * \param linkType OLSR link type.
- * \return A reference to the output stream.
+ * @param os Output stream.
+ * @param linkType OLSR link type.
+ * @return A reference to the output stream.
  */
 inline std::ostream&
 operator<<(std::ostream& os, LinkType linkType)
@@ -142,7 +142,7 @@
 }
 
 /**
- * \ingroup olsr
+ * @ingroup olsr
  *
  * OLSR neighbor types.
  * See \RFC{3626} section 18.6.
@@ -157,9 +157,9 @@
 /**
  * Stream insertion operator for OLSR link type.
  *
- * \param os Output stream.
- * \param neighborType OLSR neighbor type.
- * \return A reference to the output stream.
+ * @param os Output stream.
+ * @param neighborType OLSR neighbor type.
+ * @return A reference to the output stream.
  */
 inline std::ostream&
 operator<<(std::ostream& os, NeighborType neighborType)
@@ -638,11 +638,11 @@
 }
 
 ///
-/// \brief This auxiliary function (defined in \RFC{3626}) is used for calculating the MPR Set.
+/// @brief This auxiliary function (defined in \RFC{3626}) is used for calculating the MPR Set.
 ///
-/// \param tuple the neighbor tuple which has the main address of the node we are going to calculate
+/// @param tuple the neighbor tuple which has the main address of the node we are going to calculate
 /// its degree to.
-/// \return the degree of the node.
+/// @return the degree of the node.
 ///
 int
 RoutingProtocol::Degree(const NeighborTuple& tuple)
@@ -668,11 +668,11 @@
 namespace
 {
 ///
-/// \brief Remove all covered 2-hop neighbors from N2 set.
+/// @brief Remove all covered 2-hop neighbors from N2 set.
 /// This is a helper function used by MprComputation algorithm.
 ///
-/// \param neighborMainAddr Neighbor main address.
-/// \param N2 Reference to the 2-hop neighbor set.
+/// @param neighborMainAddr Neighbor main address.
+/// @param N2 Reference to the 2-hop neighbor set.
 ///
 void
 CoverTwoHopNeighbors(Ipv4Address neighborMainAddr, TwoHopNeighborSet& N2)
@@ -2020,7 +2020,7 @@
                      << ": LinkSensing(receiverIface=" << receiverIface
                      << ", senderIface=" << senderIface << ") BEGIN");
 
-    NS_ASSERT(msg.GetVTime() > Seconds(0));
+    NS_ASSERT(msg.GetVTime().IsStrictlyPositive());
     LinkTuple* link_tuple = m_state.FindLinkTuple(senderIface);
     if (link_tuple == nullptr)
     {
@@ -2286,11 +2286,11 @@
 
 #if 0
 ///
-/// \brief Drops a given packet because it couldn't be delivered to the corresponding
+/// @brief Drops a given packet because it couldn't be delivered to the corresponding
 /// destination by the MAC layer. This may cause a neighbor loss, and appropriate
 /// actions are then taken.
 ///
-/// \param p the packet which couldn't be delivered by the MAC layer.
+/// @param p the packet which couldn't be delivered by the MAC layer.
 ///
 void
 OLSR::mac_failed(Ptr<Packet> p)
@@ -2902,7 +2902,7 @@
         }
         else
         {
-            /// \todo Implement IP aliasing and OLSR
+            /// @todo Implement IP aliasing and OLSR
             NS_FATAL_ERROR("XXX Not implemented yet:  IP aliasing and OLSR");
         }
         rtentry->SetSource(ifAddr.GetLocal());
@@ -3013,7 +3013,7 @@
         }
         else
         {
-            /// \todo Implement IP aliasing and OLSR
+            /// @todo Implement IP aliasing and OLSR
             NS_FATAL_ERROR("XXX Not implemented yet:  IP aliasing and OLSR");
         }
         rtentry->SetSource(ifAddr.GetLocal());
